私人薪资抵押贷款手册 - 新信贷
注意!
QI Tech 的 webhook 不应进行严格映射。 返回的 webhook payload 中可能包含额外字段。
重新发送 Webhook
您可以按照文档中的详细说明查询和重新发送 webhook:重新发送 Webhook。
1 - 债务模拟:
CRÉDITO NOVO
Request
POST
/debt_simulation- 分期金额
- 放款金额
Request Body
{
"borrower": {
"person_type": "natural"
},
"financial": {
"first_due_date": "2024-12-07",
"installment_face_value": 100,
"disbursement_date": "2024-11-05",
"limit_days_to_disburse": 3,
"number_of_installments": 4,
"monthly_interest_rate": 0.018,
"interest_type": "pre_price_days",
"fine_configuration": {
"monthly_rate": 0.01,
"interest_base": "calendar_days",
"contract_fine_rate": 0.02
},
"credit_operation_type": "ccb",
"interest_grace_period": 0,
"principal_grace_period": 0
},
"collaterals": [
{
"collateral_type": "private_payroll"
}
]
}
Request Body
{
"borrower": {
"person_type": "natural"
},
"financial": {
"first_due_date": "2024-12-07",
"disbursed_amount": 1000,
"disbursement_date": "2024-11-05",
"limit_days_to_disburse": 3,
"number_of_installments": 4,
"monthly_interest_rate": 0.018,
"interest_type": "pre_price_days",
"fine_configuration": {
"monthly_rate": 0.01,
"interest_base": "calendar_days",
"contract_fine_rate": 0.02
},
"credit_operation_type": "ccb",
"interest_grace_period": 0,
"principal_grace_period": 0
},
"collaterals": [
{
"collateral_type": "private_payroll"
}
]
}
信息
上述请求中进行了 2 项模拟。第一项固定了客户的分期金额(放款金额可变),第二项固定了放款金额(分期金额可变)。
Response
STATUS
200 (OK)Response Body
{
"type": "debt",
"key": "<Debt Key>",
"status": "finished",
"event_datetime": "2024-11-05 16:50:00",
"data": {
"interest_type": "pre_price_days",
"credit_operation_type": "ccb",
"interest_grace_period": 0,
"interest_payment_month_period": 1,
"principal_grace_period": 0,
"principal_amortization_month_period": 1,
"operation_type": "structured_operation",
"post_fixed_interest_base": "workdays",
"post_fixed_interest_rate": null,
"prefixed_interest_rate": {
"interest_base": "calendar_days_365",
"annual_rate": 0.23872053,
"monthly_rate": 0.018,
"daily_rate": 0.00058669
},
"issue_date": "2024-11-05",
"number_of_installments": 4,
"requester_key": "e5eb6a0a-e003-4cbd-b702-5a25bf71af0a",
"final_disbursement_amount": 0.0,
"disbursement_options": [
{
"iof_amount": 3.93,
"total_pre_fixed_amount": 17.8715883143,
"cet": 0.0257,
"annual_cet": 0.355163,
"contract_fees": [
{
"fee_type": "tac",
"amount_type": "percentage",
"amount": 0.6,
"fee_amount": 2.29
},
{
"fee_type": "ted_fee",
"amount_type": "absolute",
"amount": 1.0,
"fee_amount": 1.0
}
],
"external_contract_fees": [
{
"fee_type": "spread",
"amount_type": "absolute",
"amount": 0.0,
"fee_amount": 0.0,
"tax_amount": 0.0,
"net_fee_amount": 0.0,
"csll_amount": 0,
"irrf_amount": 0,
"pis_amount": 0,
"cofins_amount": 0,
"amount_released": 0,
"description": null
},
{
"fee_type": "insurance_premium",
"amount_type": "absolute",
"amount": 0.0,
"fee_amount": 0.0,
"tax_amount": 0.0,
"net_fee_amount": 0.0,
"csll_amount": 0,
"irrf_amount": 0,
"pis_amount": 0,
"cofins_amount": 0,
"amount_released": 0,
"description": null
},
{
"fee_type": "tac",
"amount_type": "absolute",
"amount": 0.0,
"fee_amount": 0.0,
"tax_amount": 0.0,
"net_fee_amount": 0.0,
"csll_amount": 0,
"irrf_amount": 0,
"pis_amount": 0,
"cofins_amount": 0,
"amount_released": 0,
"description": null
}
],
"contract_fee_amount": 2.29,
"external_contract_fee_amount": 0.0,
"net_external_contract_fee_amount": 0.0,
"disbursement_date": "2024-11-05",
"first_due_date": "2024-12-21",
"installments": [
{
"calendar_days": 34,
"workdays": 23.0,
"business_due_date": "2024-12-21",
"due_date": "2024-12-21",
"due_principal": 382.13,
"has_interest": true,
"post_fixed_amount": null,
"pre_fixed_amount": 7.6967422515,
"tax_amount": 0.257341482602818,
"total_amount": 100,
"principal_amortization_amount": 92.3032577485,
"installment_number": 1
},
{
"calendar_days": 29,
"workdays": 19.0,
"business_due_date": "2025-01-21",
"due_date": "2025-01-21",
"due_principal": 289.8267422515,
"has_interest": true,
"post_fixed_amount": null,
"pre_fixed_amount": 4.9718040699,
"tax_amount": 0.4909156601748966,
"total_amount": 100,
"principal_amortization_amount": 95.0281959301,
"installment_number": 2
},
{
"calendar_days": 31,
"workdays": 23.0,
"business_due_date": "2025-02-21",
"due_date": "2025-02-21",
"due_principal": 194.7985463214,
"has_interest": true,
"post_fixed_amount": null,
"pre_fixed_amount": 3.5742034136,
"tax_amount": 0.7432500400879712,
"total_amount": 100,
"principal_amortization_amount": 96.4257965864,
"installment_number": 3
},
{
"calendar_days": 28,
"workdays": 18.0,
"business_due_date": "2025-03-21",
"due_date": "2025-03-21",
"due_principal": 98.372749735,
"has_interest": true,
"post_fixed_amount": null,
"pre_fixed_amount": 1.6288385793,
"tax_amount": 0.9841050988526828,
"total_amount": 100,
"principal_amortization_amount": 98.3711614207,
"installment_number": 4
}
],
"issue_amount": 382.13,
"disbursed_issue_amount": 374.91,
"assignment_amount": 382.13,
"final_disbursement_amount": 374.91,
"prefixed_interest_rate": {
"interest_base": "calendar_days_365",
"annual_rate": 0.23872053,
"monthly_rate": 0.018,
"daily_rate": 0.00058669
}
},
{
"iof_amount": 4.77,
"total_pre_fixed_amount": 24.2597288075,
"cet": 0.0243,
"annual_cet": 0.334037,
"contract_fees": [
{
"fee_type": "tac",
"amount_type": "percentage",
"amount": 0.6,
"fee_amount": 2.25
},
{
"fee_type": "ted_fee",
"amount_type": "absolute",
"amount": 1.0,
"fee_amount": 1.0
}
],
"external_contract_fees": [
{
"fee_type": "spread",
"amount_type": "absolute",
"amount": 0.0,
"fee_amount": 0.0,
"tax_amount": 0.0,
"net_fee_amount": 0.0,
"csll_amount": 0,
"irrf_amount": 0,
"pis_amount": 0,
"cofins_amount": 0,
"amount_released": 0,
"description": null
},
{
"fee_type": "insurance_premium",
"amount_type": "absolute",
"amount": 0.0,
"fee_amount": 0.0,
"tax_amount": 0.0,
"net_fee_amount": 0.0,
"csll_amount": 0,
"irrf_amount": 0,
"pis_amount": 0,
"cofins_amount": 0,
"amount_released": 0,
"description": null
},
{
"fee_type": "tac",
"amount_type": "absolute",
"amount": 0.0,
"fee_amount": 0.0,
"tax_amount": 0.0,
"net_fee_amount": 0.0,
"csll_amount": 0,
"irrf_amount": 0,
"pis_amount": 0,
"cofins_amount": 0,
"amount_released": 0,
"description": null
}
],
"contract_fee_amount": 2.25,
"external_contract_fee_amount": 0.0,
"net_external_contract_fee_amount": 0.0,
"disbursement_date": "2024-11-06",
"first_due_date": "2025-01-21",
"installments": [
{
"calendar_days": 62,
"workdays": 41.0,
"business_due_date": "2025-01-21",
"due_date": "2025-01-21",
"due_principal": 375.74,
"has_interest": true,
"post_fixed_amount": null,
"pre_fixed_amount": 13.9149280115,
"tax_amount": 0.437656505989534,
"total_amount": 100,
"principal_amortization_amount": 86.0850719885,
"installment_number": 1
},
{
"calendar_days": 31,
"workdays": 23.0,
"business_due_date": "2025-02-21",
"due_date": "2025-02-21",
"due_principal": 289.6549280115,
"has_interest": true,
"post_fixed_amount": null,
"pre_fixed_amount": 5.3146959395,
"tax_amount": 0.722070128765373,
"total_amount": 100,
"principal_amortization_amount": 94.6853040605,
"installment_number": 2
},
{
"calendar_days": 28,
"workdays": 18.0,
"business_due_date": "2025-03-21",
"due_date": "2025-03-21",
"due_principal": 194.969623951,
"has_interest": true,
"post_fixed_amount": null,
"pre_fixed_amount": 3.2283291407,
"tax_amount": 0.9601685182659746,
"total_amount": 100,
"principal_amortization_amount": 96.7716708593,
"installment_number": 3
},
{
"calendar_days": 31,
"workdays": 21.0,
"business_due_date": "2025-04-07",
"due_date": "2025-04-07",
"due_principal": 98.1979530917,
"has_interest": true,
"post_fixed_amount": null,
"pre_fixed_amount": 1.8017757158,
"tax_amount": 1.2239426674782687,
"total_amount": 100,
"principal_amortization_amount": 98.1982242842,
"installment_number": 4
}
],
"issue_amount": 375.74,
"disbursed_issue_amount": 367.72,
"assignment_amount": 375.74,
"final_disbursement_amount": 367.72,
"prefixed_interest_rate": {
"interest_base": "calendar_days_365",
"annual_rate": 0.23872053,
"monthly_rate": 0.018,
"daily_rate": 0.00058669
}
},
{
"iof_amount": 4.74,
"total_pre_fixed_amount": 24.0392857898,
"cet": 0.0243,
"annual_cet": 0.334673,
"contract_fees": [
{
"fee_type": "tac",
"amount_type": "percentage",
"amount": 0.6,
"fee_amount": 2.26
},
{
"fee_type": "ted_fee",
"amount_type": "absolute",
"amount": 1.0,
"fee_amount": 1.0
}
],
"external_contract_fees": [
{
"fee_type": "spread",
"amount_type": "absolute",
"amount": 0.0,
"fee_amount": 0.0,
"tax_amount": 0.0,
"net_fee_amount": 0.0,
"csll_amount": 0,
"irrf_amount": 0,
"pis_amount": 0,
"cofins_amount": 0,
"amount_released": 0,
"description": null
},
{
"fee_type": "insurance_premium",
"amount_type": "absolute",
"amount": 0.0,
"fee_amount": 0.0,
"tax_amount": 0.0,
"net_fee_amount": 0.0,
"csll_amount": 0,
"irrf_amount": 0,
"pis_amount": 0,
"cofins_amount": 0,
"amount_released": 0,
"description": null
},
{
"fee_type": "tac",
"amount_type": "absolute",
"amount": 0.0,
"fee_amount": 0.0,
"tax_amount": 0.0,
"net_fee_amount": 0.0,
"csll_amount": 0,
"irrf_amount": 0,
"pis_amount": 0,
"cofins_amount": 0,
"amount_released": 0,
"description": null
}
],
"contract_fee_amount": 2.26,
"external_contract_fee_amount": 0.0,
"net_external_contract_fee_amount": 0.0,
"disbursement_date": "2024-11-07",
"first_due_date": "2025-01-21",
"installments": [
{
"calendar_days": 61,
"workdays": 40.0,
"business_due_date": "2025-01-21",
"due_date": "2025-01-21",
"due_principal": 375.96,
"has_interest": true,
"post_fixed_amount": null,
"pre_fixed_amount": 13.6944849939,
"tax_amount": 0.4317001860605122,
"total_amount": 100,
"principal_amortization_amount": 86.3055150061,
"installment_number": 1
},
{
"calendar_days": 31,
"workdays": 23.0,
"business_due_date": "2025-02-21",
"due_date": "2025-02-21",
"due_principal": 289.6544849939,
"has_interest": true,
"post_fixed_amount": null,
"pre_fixed_amount": 5.3146959395,
"tax_amount": 0.714305933832412,
"total_amount": 100,
"principal_amortization_amount": 94.6853040605,
"installment_number": 2
},
{
"calendar_days": 28,
"workdays": 18.0,
"business_due_date": "2025-03-21",
"due_date": "2025-03-21",
"due_principal": 194.9691809334,
"has_interest": true,
"post_fixed_amount": null,
"pre_fixed_amount": 3.2283291407,
"tax_amount": 0.952233241255512,
"total_amount": 100,
"principal_amortization_amount": 96.7716708593,
"installment_number": 3
},
{
"calendar_days": 31,
"workdays": 21.0,
"business_due_date": "2025-04-07",
"due_date": "2025-04-07",
"due_principal": 98.1975100741,
"has_interest": true,
"post_fixed_amount": null,
"pre_fixed_amount": 1.8017757157,
"tax_amount": 1.2158904130882027,
"total_amount": 100,
"principal_amortization_amount": 98.1982242843,
"installment_number": 4
}
],
"issue_amount": 375.96,
"disbursed_issue_amount": 367.96,
"assignment_amount": 375.96,
"final_disbursement_amount": 367.96,
"prefixed_interest_rate": {
"interest_base": "calendar_days_365",
"annual_rate": 0.23872053,
"monthly_rate": 0.018,
"daily_rate": 0.00058669
}
},
{
"iof_amount": 4.71,
"total_pre_fixed_amount": 23.8187134405,
"cet": 0.0244,
"annual_cet": 0.335196,
"contract_fees": [
{
"fee_type": "tac",
"amount_type": "percentage",
"amount": 0.6,
"fee_amount": 2.26
},
{
"fee_type": "ted_fee",
"amount_type": "absolute",
"amount": 1.0,
"fee_amount": 1.0
}
],
"external_contract_fees": [
{
"fee_type": "spread",
"amount_type": "absolute",
"amount": 0.0,
"fee_amount": 0.0,
"tax_amount": 0.0,
"net_fee_amount": 0.0,
"csll_amount": 0,
"irrf_amount": 0,
"pis_amount": 0,
"cofins_amount": 0,
"amount_released": 0,
"description": null
},
{
"fee_type": "insurance_premium",
"amount_type": "absolute",
"amount": 0.0,
"fee_amount": 0.0,
"tax_amount": 0.0,
"net_fee_amount": 0.0,
"csll_amount": 0,
"irrf_amount": 0,
"pis_amount": 0,
"cofins_amount": 0,
"amount_released": 0,
"description": null
},
{
"fee_type": "tac",
"amount_type": "absolute",
"amount": 0.0,
"fee_amount": 0.0,
"tax_amount": 0.0,
"net_fee_amount": 0.0,
"csll_amount": 0,
"irrf_amount": 0,
"pis_amount": 0,
"cofins_amount": 0,
"amount_released": 0,
"description": null
}
],
"contract_fee_amount": 2.26,
"external_contract_fee_amount": 0.0,
"net_external_contract_fee_amount": 0.0,
"disbursement_date": "2024-11-08",
"first_due_date": "2025-01-21",
"installments": [
{
"calendar_days": 60,
"workdays": 39.0,
"business_due_date": "2025-01-21",
"due_date": "2025-01-21",
"due_principal": 376.18,
"has_interest": true,
"post_fixed_amount": null,
"pre_fixed_amount": 13.4739126445,
"tax_amount": 0.42570834978906,
"total_amount": 100,
"principal_amortization_amount": 86.5260873555,
"installment_number": 1
},
{
"calendar_days": 31,
"workdays": 23.0,
"business_due_date": "2025-02-21",
"due_date": "2025-02-21",
"due_principal": 289.6539126445,
"has_interest": true,
"post_fixed_amount": null,
"pre_fixed_amount": 5.3146959395,
"tax_amount": 0.706541738899451,
"total_amount": 100,
"principal_amortization_amount": 94.6853040605,
"installment_number": 2
},
{
"calendar_days": 28,
"workdays": 18.0,
"business_due_date": "2025-03-21",
"due_date": "2025-03-21",
"due_principal": 194.968608584,
"has_interest": true,
"post_fixed_amount": null,
"pre_fixed_amount": 3.2283291407,
"tax_amount": 0.9442979642450494,
"total_amount": 100,
"principal_amortization_amount": 96.7716708593,
"installment_number": 3
},
{
"calendar_days": 31,
"workdays": 21.0,
"business_due_date": "2025-04-21",
"due_date": "2025-04-21",
"due_principal": 98.1969377247,
"has_interest": true,
"post_fixed_amount": null,
"pre_fixed_amount": 1.8017757158,
"tax_amount": 1.20783815869566,
"total_amount": 100,
"principal_amortization_amount": 98.1982242842,
"installment_number": 4
}
],
"issue_amount": 376.18,
"disbursed_issue_amount": 368.21,
"assignment_amount": 376.18,
"final_disbursement_amount": 368.21,
"prefixed_interest_rate": {
"interest_base": "calendar_days_365",
"annual_rate": 0.23872053,
"monthly_rate": 0.018,
"daily_rate": 0.00058669
}
}
]
}
}
2 - 操作发行:
"collateral_data" 对象中的 "registration_number" 字段是指雇佣关系的工号。该字段在雇佣关系查询中返回。
CRÉDITO NOVO
Request
POST
/debt- 无法定代理人
- 有法定代理人
Request Body
{
"borrower": {
"name": "Nome devedor",
"email":"email.devedor@gmail.com",
"phone": {
"number": "999538380",
"area_code": "84",
"country_code": "055"
},
"gender": "female",
"political_exposition": "not_exposed",
"address": {
"city": "Natal",
"state": "RN",
"number": "1984",
"street": "Rua",
"complement": "complemento",
"postal_code": "59065720",
"neighborhood": "bairro"
},
"role_type": "issuer",
"birth_date": "1959-07-08",
"mother_name": "NOME DA MAE",
"nationality": "Brasileiro",
"person_type": "natural",
"marital_status": "single",
"attached_documents_list": [],
"individual_document_number": "14471835092",
"document_identification_date": "2015-10-02",
"document_identification_type": "rg",
"document_identification_number": "003709888"
},
"financial": {
"interest_type": "pre_price_days",
"first_due_date": "2023-09-21",
"disbursement_date": "2024-11-07",
"fine_configuration": {
"monthly_rate": 0.0166,
"interest_base": "calendar_days",
"contract_fine_rate": 0
},
"credit_operation_type": "ccb",
"interest_grace_period": 0,
"monthly_interest_rate": 0.0166,
"installment_face_value": 101.84,
"limit_days_to_disburse": 7,
"number_of_installments": 10,
"principal_grace_period": 0,
"rebates": [ // Opcional
{
"amount": 20,
"rebate_bank_account": {
"name": "Teste Ltda",
"document_number": "18533555000164",
"account_digit": "0",
"account_number": "4290001",
"branch_number": "0001",
"bank_code": "329"
},
"amount_type": "percentage",
"fee_type": "spread"
}
]
},
"simplified": true,
"collaterals": [
{
"percentage": 1,
"collateral_type": "private_payroll",
"collateral_data": {
"employer_document_number": "07940839000159",
"registration_number": "99999999999-A"
}
}
],
"additional_data": {
"contract": {
"contract_number": "TST0000644799"
}
},
"purchaser_document_number": "32402502000135",
"disbursement_bank_accounts": [
{
"name": "NOME DEVEDOR",
"bank_code": "001",
"account_digit": "0",
"branch_number": "2874",
"account_number": "000057555",
"document_number": "14471835092",
"transfer_method": "pix",
"percentage_receivable": 100
}
]
}
Request Body
{
"borrower": {
"name": "Nome devedor",
"phone": {
"number": "999538380",
"area_code": "84",
"country_code": "055"
},
"gender": "female",
"political_exposition": "not_exposed",
"address": {
"city": "Natal",
"state": "RN",
"number": "1984",
"street": "Rua",
"complement": "complemento",
"postal_code": "59065720",
"neighborhood": "bairro"
},
"role_type": "issuer",
"birth_date": "1959-07-08",
"mother_name": "NOME DA MAE",
"nationality": "Brasileiro",
"person_type": "natural",
"marital_status": "single",
"attached_documents_list": [],
"individual_document_number": "14471835092",
"document_identification_date": "2015-10-02",
"document_identification_type": "rg",
"document_identification_number": "003709888"
},
"related_parties": [
{
"role_type": "issuer_legal_representative",
"person_type": "natural",
"name": "REPRESENTANTE EXEMPLO",
"email": "representante.exemplo@exemplo.com",
"individual_document_number": "79795844067",
"birth_date": "1970-04-20",
"mother_name": "MÃE DO REPRESENTANTE",
"phone": {
"country_code": "55",
"area_code": "11",
"number": "999999999"
},
"address": {
"street": "RUA EXEMPLO",
"number": "123",
"complement": "APTO 123",
"neighborhood": "BAIRRO EXEMPLO",
"postal_code": "12345678",
"city": "SÃO PAULO",
"state": "SP"
}
}
],
"financial": {
"interest_type": "pre_price_days",
"first_due_date": "2024-09-21",
"disbursement_date": "2024-11-07",
"fine_configuration": {
"monthly_rate": 0.01,
"interest_base": "calendar_days",
"contract_fine_rate": 0
},
"credit_operation_type": "ccb",
"interest_grace_period": 0,
"monthly_interest_rate": 0.0166,
"installment_face_value": 1000,
"limit_days_to_disburse": 7,
"number_of_installments": 84,
"principal_grace_period": 0,
"rebates": [ // Opcional
{
"amount": 20,
"rebate_bank_account": {
"name": "Teste Ltda",
"document_number": "18533555000164",
"account_digit": "0",
"account_number": "4290001",
"branch_number": "0001",
"bank_code": "329"
},
"amount_type": "percentage",
"fee_type": "spread"
}
]
},
"simplified": true,
"collaterals": [
{
"percentage": 1,
"collateral_type": "private_payroll",
"collateral_data": {
"employer_document_number": "07940839000159",
"registration_number": "99999999999-A"
}
}
],
"additional_data": {
"contract": {
"contract_number": "TST0000644715"
}
},
"purchaser_document_number": "32402502000135",
"disbursement_bank_accounts": [
{
"name": "NOME DEVEDOR",
"bank_code": "001",
"account_digit": "0",
"branch_number": "2874",
"account_number": "000057555",
"document_number": "14471835092",
"transfer_method": "pix",
"percentage_receivable": 100
}
]
}